import React, {useState, useCallback, useEffect} from 'react';
import ReactDOM from 'react-dom';
import { csv } from 'd3';
import { message } from './message';

const csvUrl="https://gist.githubusercontent.com/DragonEnergy/80370f69586b220988d1cfe549ade08e/raw/81c1c9d179b21ad9016b33ad45f2b43343206305/Mexico%2520States"; 	

const App = () => {
  		const [data, setData] = useState(null);

      useEffect(() => {
        csv(csvUrl).then(setData);
        console.log('Fetching Data');
      }, []);
  
      return <pre>{data ? message(data) : 'Loading...'}</pre>;

}


const rootElement = document.getElementById('root');
  
ReactDOM.render(<App />, rootElement);